Skip Menu |
 

This queue is for tickets about the GD CPAN distribution.

Report information
The Basics
Id: 13710
Status: rejected
Priority: 0/
Queue: GD

People
Owner: Nobody in particular
Requestors: vdohnal [...] uniscomp.cz
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 2.23
Fixed in: (no value)



Subject: Test
Download (untitled) / with headers
text/plain 563b
solaris SunOS 5.8 sparc perl 5.6.1 gd 2.0.33 libpng 1.2.8 libiconv 1.8 Makefile.PL runs OK with 1 warning: Unrecognized argument in LIBS ignored: '/usr/local/lib/libiconv.so' make runs OK make test fails: PERL_DL_NONLAZY=1 /bin/perl -Iblib/arch -Iblib/lib -I/usr/local/lib/perl5/5.6.1/sun4-solaris -I/usr/local/lib/perl5/5.6.1 -e 'use Test::Harness qw(&runtests $verbose); $verbose=0; runtests @ARGV;' t/*.t t/GD................GD object version 1.41 does not match $GD::VERSION 2.23 at blib/lib/GD.pm line 98. Compilation failed in require at t/GD.t line 14.
Download (untitled) / with headers
text/plain 132b
Somehow you got a header/lib mismatch on that old 5.6.1 solaris system. If so, you need to manually fix some of your Makefile FLAGS.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.